Gentoo phpCollab sérülékenységek

CH azonosító

CH-1827

Felfedezés dátuma

2008.12.22.

Súlyosság

Közepes

Érintett rendszerek

Gentoo
Linux

Érintett verziók

Gentoo Linux 1.x

Összefoglaló

A Gentoo ismertette a phpCollab több olyan sérülékenységét, melyeket a támadók
kihasználhatnak SQL befecskendezéses támadások lefolytatására.

Leírás

A phpCollab felfedezett sérülékenységei lehetővé teszik shell parancsok, PHP
kódok és SQL kifejezések távolról történő befecskendezését.

  1. A general/sendpassword.php-nak a loginForm paraméteren keresztül átadott adatok nincsenek megfelelően megtisztítva mielőtt SQL kifejezésekben használnák.
  2. Több olyan sérülékenységet is felfedeztek, ahol a bemenet ellenőrzése nem elég alaposan történik mielőtt SQL kifejezésekben használnák, pl. a general/login.php loginForm paramétere esetén.
  3. A general/login.php $SSL_CLIENT_CERT változója nincs megfelelően ellenőrizve mielőtt shell parancsban használnák.
  4. Az installation/setup.php felhasználók által megadott adatai nincsenek ellenőrizve,
    mielőtt azokat beírnák, a később lefutó, include/settings.php-ba.

Ezek a sérülékenységek lehetővé teszik a távoli támadók számára, hogy tetszőleges
SQL utasításokat és PHP kódokat futtassanak le.

Megjegyzés: Az SQL befecskendezéses támadásnak közül többnek is feltétele, hogy php.ini “magic_quotes_gpc” opció le legyen tiltva. Továbbá a támadók tetszőleges shell
parancsokat is lefuttathatnak, ha a “register_globals” engedélyezve van, a “magic_quotes_gpc” pedig nincs engedélyezve, és a PHP OpenSSL bővítmény nincs installálva vagy installálásra került ugyan, de az installálás után a “installation/setup.php” nem került törlésre.

Megoldás

A forgalmazó nem ajánlja a phpCollab használatát.